RELEASE reNXpack - Repack Nintendo Switch nsps to work on lower firmwares

Discussion in 'Switch - Emulation, Homebrew & Software Projects' started by The-4n, Apr 10, 2019.

  1. tansoftware

    tansoftware Member

    Newcomer
    1
    Apr 15, 2019
    Canada
    @KnightMars

    So what you're saying is that I should update the Switch's firmware to v7.0.1 to get the v131072 (16.9gb) update working ?
     
    KnightMars likes this.
  2. nraudigy2

    nraudigy2 Newbie

    Newcomer
    1
    Jan 12, 2019
    United States
    So this builder is same as nscbuilder? If the game is made with SDK 7 then it can't patch to run on firmware 6.2.
     
  3. The-4n
    OP

    The-4n GBAtemp Fan

    Member
    9
    Aug 3, 2018
    United States
    The purpose of DeltaFragments is to update your games from a version to another version without downloading/installing the whole new update, just downloading/installing the difference between 2 updates which are DeltaFragments
    But they are totally useless, When you download the update nsp, it already contains full update so there's no point in having DeltaFragments, Installing them do nothing
    Even XCIs with updates don't contain DelteFragments cause they already have full updates
    Switch skips DeltaFragments in cnmt if they are not present

    Overall, Installing game + update is enough, DeltaFragments have no use and all games run fine without them
     
    Last edited by The-4n, Apr 24, 2019
    KnightMars likes this.
  4. bodyXY

    bodyXY GBAtemp Regular

    Member
    5
    May 15, 2018
    Germany
    Cuphead [0] & [v131072] works now with 6.2 and the latest reNXpack update, PFS0 issue fixed
     
    hippy dave likes this.
  5. nraudigy2

    nraudigy2 Newbie

    Newcomer
    1
    Jan 12, 2019
    United States
    How? What you used to install?
     
  6. bodyXY

    bodyXY GBAtemp Regular

    Member
    5
    May 15, 2018
    Germany
    SXOS
     
  7. nraudigy2

    nraudigy2 Newbie

    Newcomer
    1
    Jan 12, 2019
    United States
    Also how did you get MK11 update to work on 6.2?
     
  8. bodyXY

    bodyXY GBAtemp Regular

    Member
    5
    May 15, 2018
    Germany
    v131072 Update wont work on 6.2 because SDK changed to 7.3 also all DLC's, but the v65536 Update works
     
    Last edited by bodyXY, Apr 24, 2019
  9. nraudigy2

    nraudigy2 Newbie

    Newcomer
    1
    Jan 12, 2019
    United States
    I got it working on v131072. Installed with unsigned code.
     
  10. wicksand420

    wicksand420 GBAtemp Addict

    Member
    8
    Nov 13, 2016
    United States
    @The-4n what command do we use to pack a game and update together?
     
  11. The-4n
    OP

    The-4n GBAtemp Fan

    Member
    9
    Aug 3, 2018
    United States
    In a single NSP?
    It's not supported yet
     
    wicksand420 likes this.
  12. wicksand420

    wicksand420 GBAtemp Addict

    Member
    8
    Nov 13, 2016
    United States
    Ok, thanks
     
  13. tansoftware

    tansoftware Member

    Newcomer
    1
    Apr 15, 2019
    Canada
    You mean you got it to work on FW6.2.0 ? or you had to update to FW7.0.1 ?
     
  14. tansoftware

    tansoftware Member

    Newcomer
    1
    Apr 15, 2019
    Canada
    For people having issues unlocking content because of connectivity requirements, you can install the following cheats to unlock all Collections, Stages, Shao Khan, and Frost.

    Note: I did not compile these cheats, I do not take credit for them, I'm simply re-posting them.
     

    Attached Files:

    hippy dave likes this.
  15. LapCheong

    LapCheong GBAtemp Regular

    Member
    2
    Mar 6, 2019
    Australia
    Breath of the wild 1.60 update doesnt seems to be working
     
  16. ZachyCatGames

    ZachyCatGames GBAtemp Advanced Maniac

    Member
    8
    Jun 19, 2018
    United States
    Hell
    botw 1.6.0 requires some stuff that was added in 7.x
     
    LapCheong likes this.
  17. LapCheong

    LapCheong GBAtemp Regular

    Member
    2
    Mar 6, 2019
    Australia
    Yup i just saw the sdk version in xci-explorer:(

    I guess i just play the older version first until i have i time to upgrade to 7.x and do a nand backup

    Thanks!
     
  18. bakedbeans

    bakedbeans Member

    Newcomer
    2
    Jan 13, 2018
    Algeria
    I had a pfs0 error when trying to install mario odyssey on a 2.3.0 switch, so i tried this repack tool on the nsp.
    Looks like that didn't work either.
     
  19. The-4n
    OP

    The-4n GBAtemp Fan

    Member
    9
    Aug 3, 2018
    United States
    PFS0 error means nsp is broken
    It's not related to firmware version
     
  20. macia10

    macia10 GBAtemp Regular

    Member
    4
    Aug 13, 2012
    Poland
    For me that usually means firmware. When I get this error I just run the file through your program and it installs fine afterwards. But with the new ones like patches to mario and zelda and just tried mk11 it still fails with this error.

    Sent from my SM-G920F using Tapatalk
     
    wicksand420 likes this.
Loading...